install.packages('memisc')
library('memisc')
library(plyr)

ds <- as.data.set(spss.portable.file("09735-0001-Data.por"))

df <- data.frame(id = ds$id, vezeni = ds$v23, pocet_vezeni = ds$v19, rok_narozeni = ds$v5, rok_vezeni = c(ds$v26))

# dopocitame vek
df <- ddply(df, .(id), mutate,
            vek_vezeni = rok_vezeni - rok_narozeni)


df2 <- ddply(df, .(id), summarize, min_vek = min(vek_vezeni), max_vek = max(vek_vezeni))

sb <- subset(df2, (min_vek > 9) & (max_vek < 36))

df3 <- ddply(df, .(id, vek_vezeni), mutate, rate = length(vek_vezeni))

jkl <- ddply(df3, .(id), summarize, prum_rate = mean(rate))

x11()
hist(jkl$prum_rate)
